MODULE COMCTL

USE COMCTLTY
!MS$OBJCOMMENT LIB:"COMCTL32.LIB"
!MS$OBJCOMMENT LIB:"USER32.LIB"

INTERFACE
      SUBROUTINE InitCommonControls()
      !MS$ ATTRIBUTES STDCALL, ALIAS : '_InitCommonControls@0' :: InitCommonControls
      END SUBROUTINE
END INTERFACE

INTERFACE
      INTEGER(4) FUNCTION FindWindowEx(hwndParent,hwndChildAfter,lpszClass,lpszWindow)
      !MS$ ATTRIBUTES STDCALL, ALIAS : '_FindWindowExA@16' :: FindWindowEx
      INTEGER(4) hwndParent,hwndChildAfter,lpszClass,lpszWindow
      END FUNCTION FindWindowEx
END INTERFACE

INTERFACE
      INTEGER(4) FUNCTION  CreateToolbarEx(                       &
        hwnd,ws,wID,nBitmaps,hBMInst,wBMID,lpButtons,iNumButtons, &
        dxButton,dyButton,dxBitmap,dyBitmap,uStructSize)
      !MS$ ATTRIBUTES STDCALL, ALIAS : '_CreateToolbarEx@52' :: CreateToolbarEx
      USE COMCTLTY
      INTEGER     hwnd,ws,wID,nBitmaps,hBMInst,wBMID,iNumButtons,     &
                  dxButton,dyButton,dxBitmap,dyBitmap,uStructSize
      TYPE(T_TBBUTTON) lpButtons(*)
      END FUNCTION CreateToolbarEx
END INTERFACE

INTERFACE
      INTEGER(4) FUNCTION  CreateStatusWindow(style,lpszText,hwndParent,wID)
      !MS$ATTRIBUTES STDCALL, ALIAS : '_CreateStatusWindow@16' :: CreateStatusWindow
      !MS$ATTRIBUTES REFERENCE:: lpszText
      INTEGER           style
      CHARACTER*(*)     lpszText
      INTEGER           hWndParent
      INTEGER           wID
      END FUNCTION CreateStatusWindow
END INTERFACE

INTERFACE
      INTEGER(4) FUNCTION  CreateMappedBitmap(                    &
        hInstance,idBitmap,wFlags,lpColormap,iNumMaps)
      !MS$ATTRIBUTES STDCALL, ALIAS : '_CreateMappedBitmap@20' :: CreateMappedBitmap
      INTEGER     hInstance,idBitmap,wFlags,lpColormap,iNumMaps
      END FUNCTION CreateMappedBitmap
END INTERFACE

INTERFACE
      INTEGER(4) FUNCTION  SetScrollInfo (hWnd ,fnBar ,lpSI ,bRedraw ) 
      !MS$ATTRIBUTES STDCALL, ALIAS : '_SetScrollInfo@16' :: SetScrollInfo
      INTEGER                 hWnd
      INTEGER                 fnBar
      INTEGER                 lpSI
      LOGICAL(4)              bRedraw
      END FUNCTION SetScrollInfo
END INTERFACE

INTERFACE
      LOGICAL FUNCTION  GetScrollInfo (hWnd ,fnBar ,lpSI ) 
      !MS$ATTRIBUTES STDCALL, ALIAS : '_GetScrollInfo@12' :: GetScrollInfo
      !MS$ATTRIBUTES REFERENCE::    lpSI
      USE DFWINTY
      INTEGER                 hWnd
      INTEGER                 fnBar
      TYPE(T_SCROLLINFO)      lpSI
      END FUNCTION GetScrollInfo
END INTERFACE

INTERFACE
      INTEGER(4) FUNCTION  LoadImageA(hInst,lpszName,uType,cxDesired,    &
                                     cyDesired,fuLoad)
      !MS$ATTRIBUTES STDCALL, ALIAS : '_LoadImageA@24' :: LoadImageA
      INTEGER                 hInst
      INTEGER                 lpszName
      INTEGER                 uType
      INTEGER                 cxDesired
      INTEGER                 cyDesired
      INTEGER                 fuLoad
      END FUNCTION LoadImageA
END INTERFACE

INTERFACE
      INTEGER(4) FUNCTION ChangeDisplaySettings(lpDevMode,dwFlags)
      !MS$ATTRIBUTES STDCALL,ALIAS:  '_ChangeDisplaySettingsA@8':: ChangeDisplaySettings
      !MS$ATTRIBUTES REFERENCE:: lpDevMode
      USE DFWINTY
      TYPE(T_DEVMODE):: lpDevMode
      INTEGER(4)::      dwFlags
      END FUNCTION
END INTERFACE

INTERFACE
      INTEGER(4) FUNCTION EnumDisplaySettings(lpszDeviceName,iDevNum,lpDevMode)
      !MS$ATTRIBUTES STDCALL,ALIAS:  '_EnumDisplaySettingsA@12':: EnumDisplaySettings
      !MS$ATTRIBUTES REFERENCE:: lpDevMode
      USE DFWINTY
      INTEGER(4)::      lpszDeviceName
      INTEGER(4)::      iDevNum
      TYPE(T_DEVMODE):: lpDevMode
      END FUNCTION
END INTERFACE

INTERFACE
      LOGICAL(4) FUNCTION SetMenuDefaultItem(hMenu,uItem,fByPos)
      !MS$ATTRIBUTES STDCALL,ALIAS: '_SetMenuDefaultItem@12':: SetMenuDefaultItem
      INTEGER(4)::      hMenu
      INTEGER(4)::      uItem
      LOGICAL(4)::      fByPos
      END FUNCTION
END INTERFACE

INTERFACE
      LOGICAL(4) FUNCTION InsertMenuItem(hMenu,uItem,fByPos,MII)
      !MS$ATTRIBUTES STDCALL,ALIAS: '_InsertMenuItemA@16':: InsertMenuItem
      !MS$ATTRIBUTES REFERENCE::    MII
      USE COMCTLTY
      INTEGER(4)::      hMenu
      INTEGER(4)::      uItem
      LOGICAL(4)::      fByPos
      TYPE(T_MENUITEMINFO)::  MII
      END FUNCTION
END INTERFACE

INTERFACE
      LOGICAL(4) FUNCTION GetMenuItemInfo(hMenu,uItem,fByPos,MII)
      !MS$ATTRIBUTES STDCALL,ALIAS: '_GetMenuItemInfoA@16':: GetMenuItemInfo
      !MS$ATTRIBUTES REFERENCE::    MII
      USE COMCTLTY
      INTEGER(4)::      hMenu
      INTEGER(4)::      uItem
      LOGICAL(4)::      fByPos
      TYPE(T_MENUITEMINFO)::  MII
      END FUNCTION
END INTERFACE

INTERFACE
      LOGICAL(4) FUNCTION SetMenuItemInfo(hMenu,uItem,fByPos,MII)
      !MS$ATTRIBUTES STDCALL,ALIAS: '_SetMenuItemInfoA@16':: SetMenuItemInfo
      !MS$ATTRIBUTES REFERENCE::    MII
      USE COMCTLTY
      INTEGER(4)::      hMenu
      INTEGER(4)::      uItem
      LOGICAL(4)::      fByPos
      TYPE(T_MENUITEMINFO)::  MII
      END FUNCTION
END INTERFACE


END MODULE COMCTL